mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
export.c File Reference
`#include <gtk/gtk.h>`
`#include <glib/gi18n.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include "export.h"`
`#include "main_win.h"`
`#include "player_tab.h"`
`#include "tree_tab.h"`
`#include "ui_manager.h"`
`#include "widgets_helper.h"`
Include dependency graph for export.c:

Go to the source code of this file.

## Functions

void | ChooseCueExportFile (GtkWidget *widget, gpointer data)
void | export_file (const gchar *filename)

## Variables

ui_state * | ui

## Detailed Description

The function that allows to export the current list of splitpoints as a Cue sheet.

Definition in file export.c.

## Function Documentation

void ChooseCueExportFile | ( | GtkWidget * | widget,
|  | gpointer | data
| ) |  |

Choose the file to save the session to.

Definition at line 193 of file export.c.

References export_file().

Referenced by create_menu_bar().

Here is the call graph for this function:

Here is the caller graph for this function:

void export_file | ( | const gchar * | filename | ) |

Export the current split points into a cue file.

Parameters

  filename | The name of the file to write to.

Todo:
  - If we have previously imported the file... ...do we want to handle all the tags we do not use — but that have been there? And if yes: How do we handle them best?
  - Is there any file format that better suits us than a cue file?
  - if our input file does not have an extension... ...how to handle this? (we output the extension in the "FILE" line.)
  - Is there really no simple C/GTK+ function for quoting quotes?

Definition at line 64 of file export.c.

References COL_CHECK, COL_DESCRIPTION, COL_HUNDR_SECS, COL_MINUTES, COL_SECONDS, inputfilename_get(), put_status_message(), and tree_view.

Referenced by ChooseCueExportFile().

Here is the call graph for this function:

Here is the caller graph for this function:

## Variable Documentation

ui_state* ui

move all options inside

Definition at line 144 of file mp3splt-gtk.c.